'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dashboard = require('./dashboard.model');

var _dashboard2 = _interopRequireDefault(_dashboard);

var _dashboard3 = require('./dashboard.service');

var _dashboard4 = _interopRequireDefault(_dashboard3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    create: create,
    update: update,
    query: query
};


function create(req, _ref, next) {
    var send = _ref.send;

    var dashboardView = req.body;
    _dashboard4.default.create(dashboardView).then(send).catch(next);
}

function update(req, res) {
    _dashboard2.default.findOneAndUpdateAsync({}, req.body, { new: true }).then(function (dashboard) {
        _dashboard2.default.populate(dashboard, getDevicePopulationConfig(), function (err, result) {
            res.json(result);
        });
    });
}

function query(req, res) {
    _dashboard2.default.findOne({}).populate(getDevicePopulationConfig()).then(function (result) {
        res.json(result);
    });
}

function getDevicePopulationConfig() {
    return {
        path: 'devices',
        model: 'Sensor'
    };
}
module.exports = exports['default'];
//# sourceMappingURL=dashboard.controller.js.map
