'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mapView = require('./map-view.model');

var _mapView2 = _interopRequireDefault(_mapView);

var _sensor = require('../sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

var _files = require('../files/files.service');

var _files2 = _interopRequireDefault(_files);

var _mapViewDto = require('./map-view-dto.converter');

var _mapViewDto2 = _interopRequireDefault(_mapViewDto);

var _view = require('../view/view.service');

var _view2 = _interopRequireDefault(_view);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapViewService = {
    getById: getById,
    create: create,
    query: query,
    updatePicture: updatePicture
};

exports.default = mapViewService;


function getById(id) {
    return _mapView2.default.findById(id).populate(getSensorPopulationConfig()).then(function (mapView) {
        return new _mapView2.default(mapView);
    });
}

function query() {
    return _mapView2.default.find().populate(getSensorPopulationConfig());
}

function getSensorPopulationConfig() {
    return {
        path: 'sensors.sensor',
        model: _sensor2.default
    };
}

function create(createDto) {
    createDto.defaultView = createDto.default; // TODO Should be moved into view model after TG-431 implemented
    return new _mapView2.default(_mapViewDto2.default.create(createDto)).save().then(function (mapView) {
        _view2.default.create({ mapView: mapView });
        return mapView;
    });
}

function updatePicture(id, newName) {

    return mapViewService.getById(id).then(onReceived).then(onActionCompleted);

    function onReceived(mapViewModel) {
        return _files2.default.tryDeleteFile(mapViewModel.pictureName).then(onOldPictureRemoved);

        function onOldPictureRemoved() {
            return _mapView2.default.findByIdAndUpdate(id, _mapViewDto2.default.pictureUpdate(newName));
        }
    }
}

function onActionCompleted(_ref) {
    var id = _ref.id;

    return getById(id);
}
module.exports = exports['default'];
//# sourceMappingURL=map-view.service.js.map
