'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dashboard = require('../dashboard/dashboard.model');

var _dashboard2 = _interopRequireDefault(_dashboard);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = { createHooks: createHooks };


function createHooks(sensorSchema) {

    sensorSchema.pre('save', function (next) {
        this.wasNew = this.isNew;
        next();
    });

    sensorSchema.post('save', function (sensor, next) {
        if (this.wasNew) {
            _dashboard2.default.findOneAndUpdate({}, { $push: { devices: sensor._id } }, next);
        }
    });

    sensorSchema.post('remove', function (sensor, next) {
        _dashboard2.default.findOneAndUpdate({}, { $pull: { devices: sensor._id } }, next);
    });
}
module.exports = exports['default'];
//# sourceMappingURL=sensor.hooks.js.map
