'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _sensor = require('../../API/sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = { populateDevices: populateDevices };

/* istanbul ignore next */

var devices = [];

devices.push(new _sensor2.default({
    description: 'temperature',
    type: 'sensor',
    metrics: 'celsius',
    mqttId: 'temperature'
}));

devices.push(new _sensor2.default({
    description: 'humidity',
    type: 'sensor',
    metrics: 'percents',
    mqttId: 'humidity'
}));

devices.push(new _sensor2.default({
    description: 'co2',
    type: 'sensor',
    metrics: 'percents',
    mqttId: 'co2'
}));

devices.push(new _sensor2.default({
    description: 'pressure',
    type: 'sensor',
    metrics: 'percents',
    mqttId: 'pressure'
}));

devices.push(new _sensor2.default({
    description: 'electricity',
    type: 'switcher',
    executor: false,
    mqttId: 'electricity'
}));

devices.push(new _sensor2.default({
    description: 'socket',
    type: 'switcher',
    executor: false,
    mqttId: 'socket'
}));

devices.push(new _sensor2.default({
    description: 'lock',
    type: 'switcher',
    executor: false,
    mqttId: 'lock'
}));

devices.push(new _sensor2.default({
    description: 'servo',
    type: 'servo type',
    metrics: 'degrees',
    mqttId: 'servo',
    servo: true
}));

function populateDevices() {
    return _sensor2.default.find({}).remove(function () {
        _sensor2.default.create.apply(_sensor2.default, devices);
    });
}
module.exports = exports['default'];
//# sourceMappingURL=devices.js.map
