'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = handleUnknownDeviceData;

var _sensor = require('../API/sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

var _input = require('../data-streams/input');

var _input2 = _interopRequireDefault(_input);

var _output = require('../data-streams/output');

var _output2 = _interopRequireDefault(_output);

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = (0, _debug2.default)('SH_BE:new-device-handler');

var DEVICE_STATUS_EVENT = 'status';

function handleUnknownDeviceData() {
    _input2.default.stream.filter(function (message) {
        return message.event === DEVICE_STATUS_EVENT;
    }).subscribe(checkDevice, onError);

    function checkDevice(data) {

        _sensor2.default.find({
            mqttId: data.device
        }, function (error, records) {
            if (records.length) {
                debug('Device already added');
            } else {
                var outputEvent = {
                    device: data.device,
                    event: 'device-info'
                };
                debug('Received data from unknown device');
                _output2.default.write(outputEvent);
            }
        });
    }

    function onError(error) {
        debug('Error: \'' + error + '\' occured');
    }
}
module.exports = exports['default'];
//# sourceMappingURL=newDeviceHandler.js.map
