'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.default = convertMqttMessageToEvent;

var _eventType = require('./event-type');

var _event = require('./event');

var _event2 = _interopRequireDefault(_event);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function convertMqttMessageToEvent(topic, rawMessage) {
    var message = tryParseMessage(rawMessage);
    var eventType = getMessageEventType(message);
    var deviceName = getTopicDeviceName(topic);
    return (0, _event2.default)(eventType, deviceName, message);
}

function tryParseMessage(rawMessage) {
    try {
        return JSON.parse(rawMessage);
    } catch (e) {
        return rawMessage;
    }
}

function getTopicDeviceName(topic) {
    return topic.split('/').pop();
}

function getMessageEventType(message) {
    return (typeof message === 'undefined' ? 'undefined' : _typeof(message)) === 'object' ? _eventType.DEVICE_INFO : _eventType.DEVICE_STATUS;
}
module.exports = exports['default'];
//# sourceMappingURL=convert-mqtt-message-to-event.js.map
