"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = uniqueQueue;
function uniqueQueue() {
    var equals = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : referenceEquals;

    var queue = [];

    var self = {
        get isEmpty() {
            return queue.length === 0;
        },
        enqueue: enqueue,
        dequeue: dequeue,
        remove: remove,
        clear: clear
    };

    return self;

    function enqueue(value) {
        if (!contains(value)) {
            queue.push(value);
        }
    }

    function contains(value) {
        return queue.find(function (v) {
            return equals(v, value);
        });
    }

    function dequeue() {
        return queue.shift();
    }

    function remove(value) {
        queue = queue.filter(function (v) {
            return !equals(v, value);
        });
    }

    function clear() {
        queue = [];
    }
}

function referenceEquals(a, b) {
    return a === b;
}
module.exports = exports['default'];
//# sourceMappingURL=unique-queue.js.map
